AdditionalContextFeatureGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class AdditionalContextFeatureGenerator

- java.lang.Object
- - opennlp.tools.util.featuregen.AdditionalContextFeatureGenerator

- All Implemented Interfaces:
    AdaptiveFeatureGenerator

      public class AdditionalContextFeatureGenerator
      extends Object
      implements AdaptiveFeatureGenerator

  The `AdditionalContextFeatureGenerator` generates the context from the passed in additional context.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdditionalContextFeatureGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createFeatures(List<String> features, String[] tokens, int index, String[] preds)` Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
    `void` | `setCurrentContext(String[][] context)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

      `clearAdaptiveData, updateAdaptiveData`

- - ### Constructor Detail

    - #### AdditionalContextFeatureGenerator

          public AdditionalContextFeatureGenerator()

  - ### Method Detail

    - #### createFeatures

          public void createFeatures(List<String> features,
                                     String[] tokens,
                                     int index,
                                     String[] preds)

      Description copied from interface: `AdaptiveFeatureGenerator`
      Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
      Specified by:
        `createFeatures` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `features` - The list of features to be added to.
        `tokens` - The tokens of the sentence or other text unit being processed.
        `index` - The index of the token which is currently being processed.
        `preds` - The outcomes for the tokens prior to the specified index.

    - #### setCurrentContext

          public void setCurrentContext(String[][] context)

Copyright © 2026 The Apache Software Foundation. All rights reserved.